Bug 195052 - Gesture events do not cross the shadow boundary
Summary: Gesture events do not cross the shadow boundary
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: UI Events (show other bugs)
Version: Safari 12
Hardware: Macintosh macOS 10.14
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 148695
  Show dependency treegraph
 
Reported: 2019-02-26 09:14 PST by david xu
Modified: 2019-03-15 23:22 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description david xu 2019-02-26 09:14:44 PST
Right now gesturestart and gesturechange events will cause zooming to occur in Safari by default. For a web application that uses web components and needs to prevent this default behavior from occurring, there is no way to do this without adding an event handler for gesturestart and gesturechange to every custom component.

Please see below for a simple example of this issue:
https://jsfiddle.net/60mzfj2x/
Comment 1 Radar WebKit Bug Importer 2019-02-26 11:08:16 PST
<rdar://problem/48406939>
Comment 2 Ryosuke Niwa 2019-02-26 19:48:44 PST
This should be fixed in iOS 12.2 and macOS 10.14.4 betas.
Comment 3 david xu 2019-02-28 10:06:22 PST
Thanks Ryosuke, I took a peek at the Safari Technology Preview and it looks fixed there.
Comment 4 Ryosuke Niwa 2019-03-15 23:22:52 PDT
(In reply to Ryosuke Niwa from comment #2)
> This should be fixed in iOS 12.2 and macOS 10.14.4 betas.

Great. Thanks for confirming!